Bug 431450 - Wrong init script
Wrong init script
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vsftpd (Show other bugs)
4.6
All Linux
low Severity low
: rc
: ---
Assigned To: Martin Nagy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 11:12 EST by Martin Nagy
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2008-0680
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-02-04 11:12:17 EST
Description of problem:
In several occasions, the script may end with return code 0 even when the
service does not start correctly. For example

[ -x /usr/sbin/vsftpd ] || exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. change access rights such that /usr/sbin/vsftpd is not executable
2. service vsftpd start
3. echo $?
  
Actual results:
0

Expected results:
Non-zero exit code with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd
Comment 1 RHEL Product and Program Management 2008-02-04 11:17:25 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Martin Nagy 2008-02-08 05:50:31 EST
Fix checked in CVS and the new packages were built successfully. This issue
should be resolved in vsftpd-2.0.1-6.el4
Comment 7 errata-xmlrpc 2008-07-24 15:35:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0680.html
Comment 8 Joe Pruett 2008-09-16 12:55:52 EDT
this fix seems to have broken sites with multiple config files.  the init script line 31 should be changed to read:

                [ -z "$CONFS" ] && exit 6

without the quotes, it generates an error from test about binary operator expected.

should a new bug be opened?

Note You need to log in before you can comment on or make changes to this bug.